retitle 419572 Does not save the score - binary should be setgid games
tags 419572 patch
thanks

Actually the issue affects any Debian architecture, not just amd64 so I'm
retitling the bug.

The fix is actually quite straightforward, just make the program (and
directory) setgid so that score files can be written properly. Attachd is
a patch that does this by modifying powermanga's postinst. Local changes are
preserved through the use of dpkg-statoverride.

Regards

Javier
--- powermanga.postinst.orig	2009-04-25 22:21:19.000000000 +0200
+++ powermanga.postinst	2009-04-25 22:50:23.000000000 +0200
@@ -15,9 +15,16 @@
     then
         dpkg-statoverride --remove "/usr/games/powermanga"
     fi
+    if !  dpkg-statoverride --list /usr/games/powermanga > /dev/null; then
+        chown root:games /usr/games/powermanga
+        chmod 2755 /usr/games/powermanga
+    fi
+        
+    if !  dpkg-statoverride --list $SCOREDIR > /dev/null; then
     # Fix permissions
-    chown root:root $SCOREDIR
-    chmod 0755 $SCOREDIR
+        chown root:games $SCOREDIR
+        chmod 2755 $SCOREDIR
+    fi
     for x in hi-easy hi hi-hard; do
       test -f $SCOREDIR/powermanga.$x || touch $SCOREDIR/powermanga.$x
       chown root:games $SCOREDIR/powermanga.$x

Attachment: signature.asc
Description: Digital signature

Reply via email to